package status_icon;

import java.util.ArrayList;
import java.util.List;

public class StatusService {

    private static Status currentStatus = Status.A;
    private static List<IStatusListener> listeners = new ArrayList<IStatusListener>();

    private StatusService() {
    }

    public static void addListener(IStatusListener listener) {
        listeners.add(listener);
    }

    public static void removeListener(IStatusListener listener) {
        listeners.remove(listener);
    }

    public static Status getStatus() {
        return currentStatus;
    }

    public static void setStatus(Status status) {
        currentStatus = status;
        for (IStatusListener listener : listeners) {
            listener.updateStatus(status);
        }
    }

}
