package status_icon.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.handlers.HandlerUtil;

import status_icon.Status;
import status_icon.StatusService;

public class ChangeStatusHandler extends AbstractHandler {
    public ChangeStatusHandler() {
    }

    public Object execute(ExecutionEvent event) throws ExecutionException {
        IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);

        Status status = StatusService.getStatus();
        Status newStatus;
        if (status == Status.A) {
            newStatus = Status.B;
        } else if (status == Status.B) {
            newStatus = Status.DISABLED;
        } else {
            newStatus = Status.A;
        }

        MessageDialog.openInformation(window.getShell(), "Change status", "Change status: " + status + " -> " + newStatus);
        StatusService.setStatus(newStatus);
        return null;
    }
}
